Index: issm/trunk/test/NightlyRun/test540.py
===================================================================
--- issm/trunk/test/NightlyRun/test540.py	(revision 24313)
+++ issm/trunk/test/NightlyRun/test540.py	(revision 26744)
@@ -1,11 +1,12 @@
 #Test Name: PigTranCalvingDevSSA2d
+import numpy as np
+from calvingvonmises import *
+from socket import gethostname
 from model import *
-from socket import gethostname
-from triangle import *
-from setmask import *
 from parameterize import *
 from setflowequation import *
+from setmask import *
 from solve import *
-from calvingvonmises import *
+from triangle import *
 
 md = triangle(model(), '../Exp/Pig.exp', 10000.)
@@ -22,7 +23,9 @@
 md.transient.ismovingfront = 1
 md.transient.isgroundingline = 1
-md.levelset.spclevelset = float('NaN') * np.ones((md.mesh.numberofvertices, ))
+md.levelset.spclevelset = np.nan * np.ones((md.mesh.numberofvertices, ))
 pos = np.where(md.mesh.vertexonboundary)
 md.levelset.spclevelset[pos] = md.mask.ice_levelset[pos]
+md.levelset.migration_max = 1e10
+md.transient.requested_outputs = ['default', 'IceVolume', 'IceVolumeAboveFloatation','TotalSmb','TotalGroundedBmb','TotalFloatingBmb']
 
 #Force MUMPS sequential analysis
@@ -33,9 +36,15 @@
 #Fields and tolerances to track changes
 field_names = ['Vx1', 'Vy1', 'Vel1', 'Pressure1', 'Bed1', 'Surface1', 'Thickness1', 'MaskIceLevelset1',
+               'IceVolume1', 'IceVolumeAboveFloatation1', 'TotalSmb1', 'TotalGroundedBmb1', 'TotalFloatingBmb1',
                'Vx2', 'Vy2', 'Vel2', 'Pressure2', 'Bed2', 'Surface2', 'Thickness2', 'MaskIceLevelset2',
-               'Vx10', 'Vy10', 'Vel10', 'Pressure10', 'Bed10', 'Surface10', 'Thickness10', 'MaskIceLevelset10']
+               'IceVolume2', 'IceVolumeAboveFloatation2', 'TotalSmb2', 'TotalGroundedBmb2', 'TotalFloatingBmb2',
+               'Vx10', 'Vy10', 'Vel10', 'Pressure10', 'Bed10', 'Surface10', 'Thickness10', 'MaskIceLevelset10',
+               'IceVolume10', 'IceVolumeAboveFloatation10', 'TotalSmb10', 'TotalGroundedBmb10', 'TotalFloatingBmb10']
 field_tolerances = [1e-12, 2e-12, 2e-12, 1e-13, 1e-13, 1e-13, 1e-13, 1e-13,
+                    1e-12, 2e-12, 2e-12, 1e-13, 1e-13,
                     1e-12, 1e-12, 1e-12, 1e-13, 1e-13, 1e-13, 1e-13, 1e-12,
-                    1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-9]
+                    1e-12, 2e-12, 2e-12, 1e-13, 1e-13,
+                    1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-11, 1e-9,
+                    1e-12, 2e-12, 2e-12, 1e-13, 1e-13]
 field_values = [md.results.TransientSolution[0].Vx,
                 md.results.TransientSolution[0].Vy,
@@ -46,4 +55,9 @@
                 md.results.TransientSolution[0].Thickness,
                 md.results.TransientSolution[0].MaskIceLevelset,
+                md.results.TransientSolution[0].IceVolume,
+                md.results.TransientSolution[0].IceVolumeAboveFloatation,
+                md.results.TransientSolution[0].TotalSmb,
+                md.results.TransientSolution[0].TotalGroundedBmb,
+                md.results.TransientSolution[0].TotalFloatingBmb,
                 md.results.TransientSolution[1].Vx,
                 md.results.TransientSolution[1].Vy,
@@ -54,4 +68,9 @@
                 md.results.TransientSolution[1].Thickness,
                 md.results.TransientSolution[1].MaskIceLevelset,
+                md.results.TransientSolution[1].IceVolume,
+                md.results.TransientSolution[1].IceVolumeAboveFloatation,
+                md.results.TransientSolution[1].TotalSmb,
+                md.results.TransientSolution[1].TotalGroundedBmb,
+                md.results.TransientSolution[1].TotalFloatingBmb,
                 md.results.TransientSolution[9].Vx,
                 md.results.TransientSolution[9].Vy,
@@ -61,3 +80,8 @@
                 md.results.TransientSolution[9].Surface,
                 md.results.TransientSolution[9].Thickness,
-                md.results.TransientSolution[9].MaskIceLevelset]
+                md.results.TransientSolution[9].MaskIceLevelset,
+                md.results.TransientSolution[9].IceVolume,
+                md.results.TransientSolution[9].IceVolumeAboveFloatation,
+                md.results.TransientSolution[9].TotalSmb,
+                md.results.TransientSolution[9].TotalGroundedBmb,
+                md.results.TransientSolution[9].TotalFloatingBmb]
